
Foreman - Feature #14031

Automatic DNS name generation for interfaces

03/02/2016 06:33 PM - Alan Evans

Status: New   

Priority: Normal   

Assignee:    

Category: Host creation   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

It would be nice to automatically generate DNS names for non-primary interfaces.  We for example assign

<hostname>-ipmi.<domain> to our IPMI interfaces.

Perhaps a DNS name template.

v<%=interface.vlanid%>.<%=interface.name%>.<%=host.name%>.<%=host.domainname%>

 If the template is configurable the end user can override the template.

What if the template can create an array.

[

 <%=interface.name%>.<%=host.name%>.<%=host.domainname%>,

 v<%=interface.vlanid%>.<%=interface.name%>.<%=host.name%>.<%=host.domainname%>,

]

 Would result in two names being created with the IP of the interface.

Related issues:

Related to Foreman - Feature #13768: Provide a default hostname Closed 02/17/2016

History

#1 - 03/03/2016 03:20 AM - Dominic Cleal

- Related to Feature #13768: Provide a default hostname added

#2 - 03/03/2016 03:20 AM - Dominic Cleal

- Category set to Host creation
